### Enumeration

# Vips BandFormat

#### Declaration

    enum Vips.BandFormat

#### Description [src]

The format used for each band element.

Each corresponds to a native C type for the current machine. For example, `VIPS_FORMAT_USHORT` is `unsigned short`.

#### Members

`VIPS_FORMAT_NOTSET`

  Invalid setting.

  - Value: `-1`
  - Available since: 8.0
`VIPS_FORMAT_UCHAR`

  Unsigned char format.

  - Value: `0`
  - Available since: 8.0
`VIPS_FORMAT_CHAR`

  Char format.

  - Value: `1`
  - Available since: 8.0
`VIPS_FORMAT_USHORT`

  Unsigned short format.

  - Value: `2`
  - Available since: 8.0
`VIPS_FORMAT_SHORT`

  Short format.

  - Value: `3`
  - Available since: 8.0
`VIPS_FORMAT_UINT`

  Unsigned int format.

  - Value: `4`
  - Available since: 8.0
`VIPS_FORMAT_INT`

  Int format.

  - Value: `5`
  - Available since: 8.0
`VIPS_FORMAT_FLOAT`

  Float format.

  - Value: `6`
  - Available since: 8.0
`VIPS_FORMAT_COMPLEX`

  Complex (two floats) format.

  - Value: `7`
  - Available since: 8.0
`VIPS_FORMAT_DOUBLE`

  Double float format.

  - Value: `8`
  - Available since: 8.0
`VIPS_FORMAT_DPCOMPLEX`

  Double complex (two double) format.

  - Value: `9`
  - Available since: 8.0

#### Type functions

###### vips_band_format_is8bit

Return `TRUE` if `format` is uchar or schar.

###### vips_band_format_iscomplex

Return `TRUE` if `fmt` is one of the complex types.

###### vips_band_format_isfloat

Return `TRUE` if `format` is one of the float types.

###### vips_band_format_isint

Return `TRUE` if `format` is one of the integer types.

###### vips_band_format_isuint

Return `TRUE` if `format` is one of the unsigned integer types.